﻿// При подключении библиотеки необходиомо указать путь к каталогу TLog с библиотекой TLog.
// Путь указывается относительно расположения данного файла.
#Использовать "." 

//*****************************************************************
Процедура ПолныйТестВсехПроцедур(УправлениеЭП, Знач РабочийКаталог="")

	// Флаг наличия ошибок
	БылиОшибки = Ложь;
	
	// Создадим необходимые файлы
	Если РабочийКаталог = "" Тогда
		РабочийКаталог = ".\";
	КонецЕсли;
	РабочийКаталог = ОбъединитьПути(РабочийКаталог,"Test_TMail");

	//Создадим файл для вложения
	СоздатьКаталог(РабочийКаталог);
	ИмяФайлаДляВложения = ОбъединитьПути(РабочийКаталог,"TestFile.txt");
	ЗаписьТекста = Новый ЗаписьТекста;
	ЗаписьТекста.Открыть(ИмяФайлаДляВложения,,,Истина);
	ЗаписьТекста.ЗаписатьСтроку("Это текст файла вложения");
	ЗаписьТекста.Закрыть();	

	// Заполним структуру сообщения
	СтруктураСообщения = УправлениеЭП.СтруктураСообщения;
	СтруктураСообщения.Вложения = ИмяФайлаДляВложения;
	СтруктураСообщения.АдресЭлектроннойПочтыОтправителя = УправлениеЭП.УчетнаяЗаписьЭП.ПользовательSMTP;
	СтруктураСообщения.ТемаСообщения = "Проверка работы библиотеки TMail";
	СтруктураСообщения.ТипТекстаПочтовогоСообщения = "HTML";
	УправлениеЭП.НачатьТекстСообщенияHTML();
	УправлениеЭП.ДобавитьВТекстСообщенияHTML();
	УправлениеЭП.ДобавитьВТекстСообщенияHTML("Проверка работы библиотеки TMail");
	УправлениеЭП.ДобавитьВТекстСообщенияHTML();
	УправлениеЭП.ЗавершитьТекстСообщенияHTML();
	
	Если УправлениеЭП.ОтправитьСообщение() Тогда
		Сообщить("ОтправитьСообщение: УСПЕШНО");
	Иначе
		Сообщить("ОтправитьСообщение: " + УправлениеЭП.ТекстОшибки);
		БылиОшибки = Истина;
	КонецЕсли;

	УдалитьФайлы(ИмяФайлаДляВложения); 
	УдалитьФайлы(РабочийКаталог); 
	
	// Отчет о работче процедуры
	Сообщить("");
	Сообщить("-----------------------------------------------");
	Сообщить("Результат работы тестирования модуля: " + ?(БылиОшибки,"БЫЛИ ОШИБКИ","УСПЕШНО"));
	Сообщить("-----------------------------------------------");
	Сообщить("");

КонецПроцедуры


//*****************************************************************

// Создадим объект
УправлениеЭП = Новый ТУправлениеЭлектроннойПочтой();

// Введем параметры ЭП
УчетнаяЗаписьЭП = УправлениеЭП.УчетнаяЗаписьЭП;
УчетнаяЗаписьЭП.АдресSMTP = "smtp.mydomen.com";
УчетнаяЗаписьЭП.ПортSMTP = 465;  
УчетнаяЗаписьЭП.ПользовательSMTP = "report@mydomen.com";
УчетнаяЗаписьЭП.ПарольSMTP = "pass_mail";
УчетнаяЗаписьЭП.ИспользоватьSSL = Истина;

// Структура сообщения
СтруктураСообщения = УправлениеЭП.СтруктураСообщения;
СтруктураСообщения.АдресЭлектроннойПочтыПолучателя = "admin@mydomen.com;";

// Запустим тест всех процедур
ПолныйТестВсехПроцедур(УправлениеЭП);
